/*
 * This file is part of Cadmium.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Cadmium is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cadmium is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "fail.h"
#include "mlvalues.h"
#include "prims.h"


/********************** fr.x9c.cadmium.primitives.swixml *********************/

/* Primitives from SwiXml */

PRIM1(cadmiumswixml_is_debug_mode)
PRIM1(cadmiumswixml_is_macosx)
PRIM1(cadmiumswixml_is_macosx_supported)
PRIM1(cadmiumswixml_set_macosx_support)
PRIM1(cadmiumswixml_set_default_locale)
PRIM1(cadmiumswixml_set_resource_bundle_name)
PRIM1(cadmiumswixml_set_app_frame)
PRIM1(cadmiumswixml_get_app_frame)
PRIM1(cadmiumswixml_make_engine)
PRIM1(cadmiumswixml_make_engine_from_resource)
PRIM1(cadmiumswixml_make_engine_from_client)
PRIM1(cadmiumswixml_get_client)
PRIM2(cadmiumswixml_set_classloader)
PRIM1(cadmiumswixml_get_classloader)
PRIM2(cadmiumswixml_set_locale)
PRIM2(cadmiumswixml_set_resource_bundle)
PRIM2(cadmiumswixml_render_from_file)
PRIM2(cadmiumswixml_render_from_url)
PRIM2(cadmiumswixml_render_from_resource)
PRIM2(cadmiumswixml_render_from_channel)
PRIM3(cadmiumswixml_insert_from_url)
PRIM3(cadmiumswixml_insert_from_resource)
PRIM3(cadmiumswixml_insert_from_channel)
PRIM1(cadmiumswixml_get_root_component)
PRIM1(cadmiumswixml_get_id_map)
PRIM1(cadmiumswixml_clear_id_map)
PRIM1(cadmiumswixml_get_all_components)
PRIM2(cadmiumswixml_get_descendants)
PRIM2(cadmiumswixml_find)
PRIM2(cadmiumswixml_forget)
PRIM1(cadmiumswixml_cleanup)
PRIM3(cadmiumswixml_set_action_listener)
