/*
 * This file is part of Cadmium.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Cadmium is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cadmium is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Main Cadmium package. <br/>
 * Cadmium can be executed using either:
 * <ul>
 *   <li><tt>fr.x9c.cadmium.Main</tt> class (for command-line invocation);</li>
 *   <li><tt>fr.x9c.cadmium.kernel.Interpreter</tt> class
 *       (for embedded use inside an application);</li>
 *   <li><tt>fr.x9c.cadmium.support.Application</tt> class
 *       (for OCaml bytecode packaged into a jar);</li>
 *   <li><tt>fr.x9c.cadmium.support.Applet</tt> class
 *       (for OCaml bytecode packaged into a jar);</li>
 *   <li><tt>fr.x9c.cadmium.support.TopLevel</tt> class
 *       (for OCaml toplevel as a GUI application);</li>
 *   <li><tt>fr.x9c.cadmium.support.TopLevelApplet</tt> class
 *       (for OCaml toplevel as an applet).</li>
 * </ul>
 */
package fr.x9c.cadmium;
