/*
 * This file is part of Cadmium.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Cadmium is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cadmium is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * This package contains the primitive provider allowing access to the <a href="http://www.swixml.org">SwiXml</a> library from Cadmium. <br/>
 * The user is strongly encouraged to use it in conjunction with <a href="http://nickel.x9c.fr">Nickel</a> in order to easily access to the full power of Swing.
 */
package fr.x9c.cadmium.primitives.cadmiumswixml;
